<manifest version="1.0" type="device">
    <hal format="hidl" override="true">
        <name>android.hardware.drm</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>ICryptoFactory</name>
            <instance>default</instance>
            <instance>clearkey</instance>
            <instance>widevine</instance>
        </interface>
        <interface>
            <name>IDrmFactory</name>
            <instance>default</instance>
            <instance>clearkey</instance>
            <instance>widevine</instance>
        </interface>
        <fqname>@1.0::ICryptoFactory/default</fqname>
		<fqname>@1.0::ICryptoFactory/widevine</fqname>
        <fqname>@1.0::IDrmFactory/default</fqname>
		<fqname>@1.0::IDrmFactory/widevine</fqname>
        <fqname>@1.1::ICryptoFactory/clearkey</fqname>
        <fqname>@1.1::ICryptoFactory/widevine</fqname>
        <fqname>@1.1::IDrmFactory/clearkey</fqname>
        <fqname>@1.1::IDrmFactory/widevine</fqname>
    </hal>
</manifest>
